import { useState, useCallback } from "react";

export default function useSystem() {
  // 主题
  const [theme, updateTheme] = useState('dark');

  // 其他配置
  const [app, setApp] = useState({
    fullName: '云致科技信息管理系统',
    shorName: '云致科技',
    company: '云致科技'
  });

  // 页面标题
  const [title, setTitle] = useState();

  return {
    theme,
    updateTheme,
    app,
    title,
    setTitle,
  }
}
